import { Auth, User } from "@/models";
import { Attributes } from "@sequelize/core";
import { Context, createContext } from "react";


export type AuthContextProviderProps = {
    auth?: Attributes<Auth>
    user?: Attributes<User>
}

let p: AuthContextProviderProps = {}

export const AuthContext: Context<AuthContextProviderProps> = createContext(p);

